Bug 428332 - Review Request: halevt - Generic handler for HAL events
Review Request: halevt - Generic handler for HAL events
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-10 16:25 EST by Patrice Dumas
Modified: 2008-12-14 00:42 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.0.7-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-28 16:36:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2008-01-10 16:25:49 EST
Spec URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/halevt.spec
SRPM URL: http://www.environnement.ens.fr/perso/dumas/fc-srpm/halevt-0.0.7-1.fc9.src.rpm
Description: 
Halevt (HAL events manager) is a daemon that executes arbitrary commands 
when a device with certain properties is added to the system and when 
device properties change. Halevt uses HAL to monitor the state of your 
system's hardware. With the default config file, it can handle 
the mounting of media as they are inserted/attached to the system.

Halevt comes with halevt-mount a program able to use HAL to mount, umount 
devices and keep a list of devices handled by halevt-mount.
Comment 1 Patrice Dumas 2008-01-10 16:26:32 EST
I am upstream, so I would have preferred not to be the maintainer,
but since nobody submit it...
Comment 2 manuel wolfshant 2008-01-10 18:59:29 EST
There is a typo in the src.rpm link above (fc-srpm instead of fc-srpms)...

Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on:devel/x86_64
 [x] Rpmlint output:
Source RPM: no output
Binary halevt:
        halevt.x86_64: E: non-standard-uid /var/run/halevt halevt
        halevt.x86_64: E: non-standard-gid /var/run/halevt halevt
        halevt.x86_64: E: non-standard-dir-perm /var/run/halevt 0750
        halevt.x86_64: E: non-standard-uid /var/lib/halevt halevt
        halevt.x86_64: E: non-standard-gid /var/lib/halevt halevt
--> all are normal given that it runs under its own user + security restrictions
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in
 the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type:GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, co
ntaining the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     SHA1SUM of package: a51618512edaa8dd1e3cf347c6376c5ddbda86e6
halevt-0.0.7.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions sectio
n of Packaging Guidelines.
 [x] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [x] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [?] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:
 [?] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [x] The placement of pkgconfig(.pc) files is correct.
 [x] File based requires are sane.


  I wonder if the file named ChangeLog should not be packaged, too ? I'll trust
your judgement, since you are also upstream.
  I'll try to test the program tomorrow and come back with the rest of the review.

Comment 3 manuel wolfshant 2008-01-11 08:01:50 EST
I've given a try today. It seems to work, my var/log/messages is full of stuff
generated by halevt.

APPROVED
Comment 4 Patrice Dumas 2008-01-11 08:20:38 EST
Manuel, thanks for the quick review.

Filling /var/log/messages is not necessarily the proof of a great 
software, but currently it is on purpose because there hasn't been a 
lot of testing and these messages also help to understand what event
halevt sees. Maybe I'll try to do a less verbose release or have 
a configurable verbosity someday.

As for the ChangeLog, I try to have everything relevant for users in
NEWS, ChangeLog is for developers only.

New Package CVS Request
=======================
Package Name: halevt
Short Description: Generic handler for HAL events
Owners: pertusus
Branches: F-8
Cvsextras Commits: yes
Comment 5 Patrice Dumas 2008-01-11 08:21:31 EST
I can make a F-7 branch if somebody asks for it, but given
that I had to submit it I guess that nobody will.
Comment 6 manuel wolfshant 2008-01-11 08:29:54 EST
FWIW: My testing was performed on a F-7
Comment 7 Kevin Fenzi 2008-01-11 17:02:06 EST
cvs done.
Comment 8 manuel wolfshant 2008-01-14 12:49:13 EST
The package seems to have been built sucessfully and pushed (at least in
rawhide). Any reason to not close this bug ?
Comment 9 Patrice Dumas 2008-01-14 14:31:41 EST
No reason, closing.
Comment 10 Fedora Update System 2008-01-15 17:59:02 EST
halevt-0.0.7-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update halevt'
Comment 11 Fedora Update System 2008-02-28 16:36:26 EST
halevt-0.0.7-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Patrice Dumas 2008-12-12 10:19:20 EST
Package Change Request
======================
Package Name: halevt
New Branches: EL-5
Owners: pertusus
Comment 13 Kevin Fenzi 2008-12-14 00:42:43 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.